Added the basic tests of smb functionality for HEAD
authorAndrew Bartlett <abartlet@samba.org>
Tue, 26 Jun 2001 07:41:40 +0000 (07:41 +0000)
committerAndrew Bartlett <abartlet@samba.org>
Tue, 26 Jun 2001 07:41:40 +0000 (07:41 +0000)
This works with the new build farm system

Andrew Bartlett
(This used to be commit 542977bc4323e041512e91d7a38422e7abc4e5ae)

testsuite/build_farm/basicsmb.smb.conf.template [new file with mode: 0644]
testsuite/build_farm/basicsmb.test [new file with mode: 0644]
testsuite/build_farm/runlist [new file with mode: 0644]

diff --git a/testsuite/build_farm/basicsmb.smb.conf.template b/testsuite/build_farm/basicsmb.smb.conf.template
new file mode 100644 (file)
index 0000000..3f33973
--- /dev/null
@@ -0,0 +1,24 @@
+[global]
+    workgroup = TESTWG
+    log level = 3
+    encrypt passwords = yes
+    server string = Samba %v Build Farm Tests
+
+[test]
+    path = PREFIX/testdir
+    read only = no
+
+[samba]
+    path = BUILD_FARM/samba
+    read only = yes
+    comment = Samba HEAD Sources
+
+[samba_2_2]
+    path = BUILD_FARM/samba_2_2
+    read only = yes
+    comment = Samba 2.2. Sources
+
+[rsync]
+    path = BUILD_FARM/rsync
+    read only = yes
+    comment = Rsync Sources
diff --git a/testsuite/build_farm/basicsmb.test b/testsuite/build_farm/basicsmb.test
new file mode 100644 (file)
index 0000000..27808a4
--- /dev/null
@@ -0,0 +1,57 @@
+test_smb_conf_setup() {
+       cat basicsmb.smb.conf.template | sed "s|PREFIX|$prefix|g" | sed "s|BUILD_FARM|$pwd|g" > $prefix/lib/smb.conf
+       echo "Setting up smb.conf:"
+       cat $prefix/lib/smb.conf
+
+}
+
+test_smbpasswd() {
+       ( echo $password ; echo $password; ) | $prefix/bin/smbpasswd -L -s -a $whoami
+       status=$?
+       if [ $status = 0 ]; then
+           echo "smbpasswd correctly set inital password ($password)"
+       else
+           echo "smbpasswd failed to set inital password ($password)!"
+           return 1
+       fi
+       return 0
+}
+
+test_sharelist() {
+       if $prefix/bin/smbclient -U$whoami% -L $host; then
+               echo "smbd listed shares OK"
+       else
+               echo "listing shares with smbd failed with $?"
+               return 1
+       fi
+       return 0
+}
+
+test_listfiles() {
+       if $prefix/bin/smbclient //$host/samba -U$whoami% -c 'ls'; then
+               echo "listed files OK"
+       else 
+               echo "listing files with smbd failed with $?"
+               return 1
+       fi
+       return 0
+}
+
+test_listfilesauth() {
+       if $prefix/bin/smbclient //$host/samba_2_2 -U$whoami%$password -c 'ls'; then
+               echo "listed files OK"
+       else 
+               echo "listing files with smbd failed with $?"
+               return 1
+       fi
+       return 0
+}
+
+
+(test_smb_conf_setup && test_smbpasswd) || exit 1
+
+test_sharelist
+test_listfiles
+test_listfilesauth
+
+
diff --git a/testsuite/build_farm/runlist b/testsuite/build_farm/runlist
new file mode 100644 (file)
index 0000000..5e9fe38
--- /dev/null
@@ -0,0 +1 @@
+TEST_ALL="basicsmb"